// Vars
$font-family: 'Arial', sans-serif;
$color-theme-dark: #222222;
$color-theme-light: #dddddd;
$color-blue: #0000ff;
$color-red: #ff0000;
$z-index-card: 100;

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
  font-family: $font-family;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: $color-theme-dark;
}

.container {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  width: 80%;
  height: 80%;
  padding: 20px;
  border: 1px solid $color-theme-light;
  border-radius: 30px;
  perspective: 2000px;
}

.card-container {
  width: calc(100% / 5 - 30px);
  height: calc(100% / 3 - 30px);
  margin-right: 30px;

  &:nth-child(5n) {
    margin-right: 0;
  }
}

.card {
  width: 100%;
  height: 100%;
  border-radius: 30px;
  background-color: $color-theme-light;
  cursor: pointer;
  transform-style: preserve-3d;
  transition: transform 1s .05s;

  &:hover {
    box-shadow: 0 0 20px rgba($color-theme-light, .5);
    transform: scale(1.05);
  }

  &.flipped {
    position: absolute;
    top: 30%;
    left: 35%;
    z-index: $z-index-card;
    width: 30%;
    height: 40%;
    box-shadow: 0 0 20px rgba($color-theme-dark, .5);
    transform: rotateY(180deg);
  }

  .front,
  .back {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50%;
    height: 50%;
    border-radius: 80px;
    transform: translate(-50%, -50%);
    backface-visibility: hidden;
  }

  .front {
    background-color: $color-blue;
  }

  .back {
    background-color: $color-red;
    transform: translate(-50%, -50%) rotateY(180deg);
  }
}
